%global __requires_exclude  typelib\\(GtkosxApplication|Gtkspell|Glib\\)

Summary:	Genealogical Research and Analysis Management Programming System
Name:		gramps
Version:	6.0.0
Release:	%mkrel 0.beta1.3
License:	GPLv2+
Group:		Sciences/Other
#Source0:	https://prdownloads.sourceforge.net/gramps/%{name}-%{version}.tar.gz
Source0:	https://github.com/gramps-project/gramps/archive/refs/tags/v%{version}-beta1.tar.gz
Source1:	resource-path
Source11:	%{name}-48.png
Source12:	%{name}-32.png
Source13:	%{name}-16.png
# Previously provided by gramps before 5.1.6
Source24:	%{name}.keys
Source25:	%{name}.mime
# Fix error when searching by name in the place selector (#13605):
Patch:          https://github.com/gramps-project/gramps/commit/dadf11294c18d62397e3b8fcb8b5f30dc77cb32a.patch
# Fix the match method in the GenericFilter class (#13606):
Patch2:         https://github.com/gramps-project/gramps/commit/5a4ce951adab6ab0a779162f02ea6d47d193b6f1.patch
# Enable <Enter> key press on date fields in sidebar filters (#13607):
Patch3:         https://github.com/gramps-project/gramps/commit/cd3d1246e769ec9a0640a5338b98888375d65bf9.patch
# Fix all_people() simple access method to use new data format (#13603):
Patch4:         https://github.com/gramps-project/gramps/commit/5e83e1b6ead1bca827797626377344b1357bfda9.patch
URL:		https://www.gramps-project.org/
BuildArch:	noarch
BuildRequires:  python3-devel
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:	pkgconfig(gobject-introspection-1.0)
Requires:	graphviz
# (tv) gramps.gen.utils.grampslocale.WARNING: ICU not loaded because No module named 'PyICU'. Localization will be impaired. Use your package manager to install PyICU
Requires:	python3-icu
Requires:	python3dist(orjson)
Requires:	typelib(GConf)
Requires:	typelib(WebKit2)
Requires:	shared-mime-info
Requires:	xdg-utils
Recommends:	fonts-ttf-freefont

%description
gramps (Genealogical Research and Analysis Management Programming
System) is a GNOME based genealogy program supporting a Python
based plugin system.

%prep
%autosetup -p1 -n %{name}-%{version}-beta1

%generate_buildrequires
%pyproject_buildrequires 

%build
%pyproject_wheel

%install
%pyproject_install
# fix it:
# perl -pi -e "s@%{buildroot}@@" %buildroot/%{python3_sitelib}/gramps/gen/utils/resource-path
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{python3_sitelib}/gramps/gen/utils/resource-path
%pyproject_save_files gramps
#cleaning
rm -rf %{buildroot}/var

#menu
perl -pi -e 's,%{name}.png,%{name},g' %{buildroot}%{_datadir}/applications/*
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Science" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

#icons
install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

# File previously provided by 5.1.x
install -m644 %{SOURCE24} -D %{buildroot}%{_datadir}/mime-info/%{name}.keys
install -m644 %{SOURCE25} -D %{buildroot}%{_datadir}/mime-info/%{name}.mime

%find_lang %{name} --with-gnome --with-man

rm -fr %buildroot/%_docdir/%name

%files -f %{name}.lang -f %{pyproject_files}
%doc README.md NEWS COPYING example/
%{_bindir}/%{name}
%{_datadir}/metainfo/org.gramps_project.Gramps.metainfo.xml
%{_datadir}/applications/org.gramps_project.Gramps.desktop
%{_datadir}/%{name}
%{_datadir}/mime/packages/org.gramps_project.Gramps.xml
#{_iconsdir}/%{name}.png
%{_datadir}/mime-info/%{name}.*
%{python3_sitelib}/gramps/gen/utils/resource-path
%{_mandir}/man1/%{name}.1*
%{_iconsdir}/hicolor/*/apps/*.*
%{_iconsdir}/hicolor/*/mimetypes/*


%changelog
* Thu Feb 06 2025 tv <tv> 6.0.0-0.beta1.3.mga10
+ Revision: 2145876
- Fix the match method in the GenericFilter class (#13606):
- Enable <Enter> key press on date fields in sidebar filters (#13607):
- Fix all_people() simple access method to use new data format (#13603):

* Wed Feb 05 2025 tv <tv> 6.0.0-0.beta1.2.mga10
+ Revision: 2145630
- Fix error when searching by name in the place selector

* Wed Feb 05 2025 tv <tv> 6.0.0-0.beta1.1.mga10
+ Revision: 2145612
- Explicitely pull orjson

* Wed Feb 05 2025 tv <tv> 6.0.0-0.beta1.mga10
+ Revision: 2145367
- 6.0.0 beta
- package NEWS rather than TODO

* Mon Jan 13 2025 tv <tv> 5.2.4-1.mga10
+ Revision: 2138737
- 5.2.4

* Thu Jul 25 2024 tv <tv> 5.2.3-2.mga10
+ Revision: 2082579
- Restore requires on python3-icu b/c of :
  .gramps.gen.utils.grampslocale.WARNING: ICU not loaded because No module named 'PyICU'.
  It was removed in r2016228 on 2023-12-09 ("- port to pyproject")

* Sun Jul 14 2024 bcornec <bcornec> 5.2.3-1.mga10
+ Revision: 2080967
- Update gramps to upstream 5.2.3

* Sun Apr 07 2024 bcornec <bcornec> 5.2.2-1.mga10
+ Revision: 2055311
- Update to upstream gramps 5.2.2

* Wed Mar 27 2024 bcornec <bcornec> 5.2.1-1.mga10
+ Revision: 2052610
- Update gramps to upstream 5.2.1

* Fri Feb 23 2024 bcornec <bcornec> 5.2.0-1.mga10
+ Revision: 2043731
- Update to upstream gramps 5.2.0

* Tue Feb 13 2024 tv <tv> 5.2.0-0.2.rc1.mga10
+ Revision: 2040866
- 5.2.0 RC1

* Tue Feb 06 2024 tv <tv> 5.2.0-0.2.beta2.mga10
+ Revision: 2037446
- 5.2.0 beta2

* Tue Jan 02 2024 tv <tv> 5.1.6-3.mga10
+ Revision: 2026143
- Fix starting: "ResourcePath.ERROR: Unable to determine resource path"

* Sat Dec 09 2023 papoteur <papoteur> 5.1.6-2.mga10
+ Revision: 2016228
- port to pyproject
- rebuild for python 3.12

* Fri Jun 30 2023 bcornec <bcornec> 5.1.6-1.mga9
+ Revision: 1963320
- Update to upstream gramps 5.1.6

* Wed Aug 03 2022 tv <tv> 5.1.5-4.mga9
+ Revision: 1874870
- Fix build

* Thu Mar 31 2022 umeabot <umeabot> 5.1.5-3.mga9
+ Revision: 1836345
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 5.1.5-2.mga9
+ Revision: 1773516
- Rebuild for python-3.10

* Mon Feb 07 2022 bcornec <bcornec> 5.1.5-1.mga9
+ Revision: 1772585
- update to upstream gramps 5.1.5

* Thu Jul 29 2021 tv <tv> 5.1.4-1.mga9
+ Revision: 1738151
- 5.1.4

* Sat Mar 20 2021 tv <tv> 5.1.3-2.mga9
+ Revision: 1705560
- rebuild for python-3.9.2

* Sun Oct 25 2020 bcornec <bcornec> 5.1.3-1.mga8
+ Revision: 1639332
- Update to upstream gramps 5.1.3

* Wed Apr 15 2020 bcornec <bcornec> 5.1.2-1.mga8
+ Revision: 1567555
- update to upstream gramps 5.1.2

* Tue Feb 18 2020 umeabot <umeabot> 5.1.1-2.mga8
+ Revision: 1539663
- Mageia 8 Mass Rebuild

* Thu Dec 12 2019 joequant <joequant> 5.1.1-1.mga8
+ Revision: 1465999
- upgrade to 5.1.1

* Wed Sep 11 2019 tv <tv> 5.0.1-3.mga8
+ Revision: 1439622
- rebuild for python-3.8

* Tue Jan 08 2019 tv <tv> 5.0.1-2.mga7
+ Revision: 1351709
- rebuild with python 3.7

* Sun Dec 30 2018 tv <tv> 5.0.1-1.mga7
+ Revision: 1347006
- new release

* Thu Sep 20 2018 umeabot <umeabot> 5.0.0-2.mga7
+ Revision: 1278637
- Mageia 7 Mass Rebuild

* Wed Aug 01 2018 tv <tv> 5.0.0-1.mga7
+ Revision: 1246514
- fix filelist
- new release

* Mon Feb 12 2018 tv <tv> 4.2.8-1.mga7
+ Revision: 1200671
- new release

* Fri Feb 09 2018 tv <tv> 4.2.7-1.mga7
+ Revision: 1199798
- new release

* Tue Sep 05 2017 tv <tv> 4.2.6-1.mga7
+ Revision: 1151302
- new release

* Fri Aug 04 2017 tv <tv> 4.2.5-3.mga7
+ Revision: 1134535
- rebuild for new python

* Sat Dec 31 2016 tv <tv> 4.2.5-2.mga6
+ Revision: 1078920
- do not manually requires typelib that are already auto required

* Tue Dec 20 2016 tv <tv> 4.2.5-1.mga6
+ Revision: 1076200
- new release

* Sun Sep 11 2016 tv <tv> 4.2.4-1.mga6
+ Revision: 1051467
- new version

* Wed Apr 13 2016 tv <tv> 4.2.3-1.mga6
+ Revision: 1001075
- new release

* Sun Jan 10 2016 tv <tv> 4.2.2-1.mga6
+ Revision: 920916
- new release

* Tue Oct 27 2015 tv <tv> 4.2.1-1.mga6
+ Revision: 895806
- new release

* Thu Oct 08 2015 tv <tv> 4.2.0-2.mga6
+ Revision: 887256
- rebuild for python 3.5

* Mon Aug 31 2015 tv <tv> 4.2.0-1.mga6
+ Revision: 871602
- new release

* Sat Aug 29 2015 tv <tv> 4.1.3-3.mga6
+ Revision: 870979
- include example
- package COPYING so that license dialog works

* Sat Aug 29 2015 tv <tv> 4.1.3-2.mga6
+ Revision: 870937
- switch to python3 again

* Wed Aug 05 2015 barjac <barjac> 4.1.3-1.mga6
+ Revision: 861249
- new version fixes mga#16528
- Mga5 Gramps causes problems for users coming from Ubuntu, because the data structures of their vs 4.1.3 cannot be reverted to our vs 4.1.1

* Mon Feb 09 2015 shlomif <shlomif> 4.1.1-2.mga5
+ Revision: 814237
- move /usr/share/icons/gnome to /usr/share/icons/Adwaita.

* Fri Nov 21 2014 barjac <barjac> 4.1.1-1.mga5
+ Revision: 798088
- new version 4.1.1

* Thu Oct 16 2014 luigiwalser <luigiwalser> 4.1.0-7.mga5
+ Revision: 767548
- revert incorrect change to python3
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes
- s/uggests:/Recommends:/
- try building with python3
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Tue Jun 24 2014 tv <tv> 4.1.0-3.mga5
+ Revision: 639478
- drop requires on gtk2 era python-gnome modules

* Tue Jun 24 2014 tv <tv> 4.1.0-2.mga5
+ Revision: 639372
- drop requires on pygtk2.0; add exception for typelib(Glib)

* Tue Jun 24 2014 tv <tv> 4.1.0-1.mga5
+ Revision: 639358
- new release

* Sat May 31 2014 pterjan <pterjan> 4.0.3-2.mga5
+ Revision: 628237
- Rebuild for new Python

* Wed Feb 05 2014 tv <tv> 4.0.3-1.mga5
+ Revision: 583635
- adjust file list
- new release

* Sat Oct 19 2013 umeabot <umeabot> 4.0.1-7.mga4
+ Revision: 529025
- Mageia 4 Mass Rebuild

* Mon Jul 01 2013 tv <tv> 4.0.1-6.mga4
+ Revision: 448725
- readd exit fix that upstream missed

* Mon Jul 01 2013 tv <tv> 4.0.1-5.mga4
+ Revision: 448721
- use upstreal fixes rather than our own

* Sun Jun 30 2013 neoclust <neoclust> 4.0.1-4.mga4
+ Revision: 448554
- add missing requires on python-gobject-cairo (mga #10656)

* Fri Jun 28 2013 tv <tv> 4.0.1-3.mga4
+ Revision: 448149
- patch: fix gtk/unicode usage

* Fri Jun 28 2013 tv <tv> 4.0.1-2.mga4
+ Revision: 448143
- patch: fix errors on startup (mga#10322)

* Fri Jun 28 2013 tv <tv> 4.0.1-1.mga4
+ Revision: 448134
- new release
- requires python-icu
- no need for python-osmgpsmap since gramps now use gir

* Tue May 28 2013 tv <tv> 4.0.0-2.mga4
+ Revision: 429493
- further adjust require exceptions

* Fri May 24 2013 tv <tv> 4.0.0-1.mga4
+ Revision: 426310
- remove most req exceptions

* Fri May 24 2013 tv <tv> 4.0.0-0.2.mga4
+ Revision: 425952
- new release
- add requires exceptions
- fix run
- adjust file list

* Sat Apr 06 2013 wally <wally> 3.4.3-1.mga3
+ Revision: 408488
- new version 3.4.3

* Sun Mar 17 2013 lmenut <lmenut> 3.4.2-3.mga3
+ Revision: 403604
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Sat Jan 12 2013 umeabot <umeabot> 3.4.2-2.mga3
+ Revision: 352561
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 30 2012 tv <tv> 3.4.2-1.mga3
+ Revision: 311592
- new release

* Sun Nov 27 2011 tv <tv> 3.3.1-1.mga2
+ Revision: 172534
- new release

* Tue Sep 13 2011 wally <wally> 3.3.0-3.mga2
+ Revision: 143040
- clean BRs
- clean reqs
- add missing reqs
- convert some reqs to suggests
- suggest more optional packages

* Wed Jun 29 2011 wally <wally> 3.3.0-2.mga2
+ Revision: 115579
- handle localized man pages with find_lang macro
- clean .spec a bit
+ kharec <kharec>
- allow change on compression of manpage for futures rebuilt

* Mon Jun 27 2011 kharec <kharec> 3.3.0-1.mga2
+ Revision: 114362
- update version
- update file list

* Sun May 08 2011 kharec <kharec> 3.2.6-1.mga1
+ Revision: 96478
- new bugfix release

* Wed Mar 16 2011 tv <tv> 3.2.5-1.mga1
+ Revision: 72831
- imported package gramps

